DataGEMS Gateway API v1¶
Gateway API exposing the DataGEMS underpinning functionality
Collection¶
POST /api/collection/query¶
Query collections
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"30df654a-1882-46e9-b198-e9d59e1fbbdf"
],
"excludedIds": [
"3261d38f-5499-43a0-b5e8-fb2f6d8cdc5c"
],
"datasetIds": [
"c5ffe712-a4ed-4fb9-95bf-72237943d4f0"
],
"like": "string",
"contextRoles": [
"string"
],
"contextRoleSubjectId": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items containing the specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name matches the pattern",
"nullable": true
},
"contextRoles": {
"type": "array",
"items": {
"type": "string"
},
"description": "Limit lookup to items that the provided user has explicit access kind. If set, the list of values must not be empty",
"nullable": true
},
"contextRoleSubjectId": {
"type": "string",
"description": "Limit lookup to items that the provided user has explicit access kind. This should only be set in combination with ContextRoles. If left empty, the current user is used",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"items": [
{
"id": "6aa6a8f1-5067-455b-9027-c48a45eb9935",
"code": "string",
"name": "string",
"datasets": [
{
"id": "ca7e85fd-f539-4a8e-adb7-973d1c01e539",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 279,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": null,
"permissions": [
"string"
]
}
],
"datasetCount": 43,
"permissions": [
"string"
]
}
],
"count": 85
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Collection"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/collection/{id}¶
Lookup collection by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Response 200 OK
{
"items": [
{
"id": "26002ae8-5bbb-4dd8-8b7a-97798b1445d7",
"code": "string",
"name": "string",
"datasets": [
{
"id": "d641c207-82f7-4934-b7e2-9f33daf7acc4",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 117,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": null,
"permissions": [
"string"
]
}
],
"datasetCount": 297,
"permissions": [
"string"
]
}
],
"count": 283
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Collection"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
DELETE /api/collection/{id}¶
Deletes the collection by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the item to delete |
Response 200 OK
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/collection/persist¶
Persist collection
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "aa0f86b6-2b86-4522-9d72-a44a0935bf7e",
"code": "string",
"name": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
{
"id": "2a015b10-ebd4-4c27-b776-b3b9f440d1a3",
"code": "string",
"name": "string",
"datasets": [
{
"id": "4b2d1d1e-6a0e-42f7-ab60-5eacd918ae2e",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 102,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "20415565-d99e-4db8-846f-a718ab6f5e4a",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 14,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
}
],
"datasetCount": 220,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/collection/persist/deep¶
Persist collection along with details provided
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "f7ba270c-16bb-42ab-8055-e14b7281297d",
"code": "string",
"name": "string",
"datasets": [
"c8e5fa52-03c6-4b46-98a3-bdb120594a05"
]
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
{
"id": "b5fc6a4e-f469-4f1b-bdf6-539a7dde5170",
"code": "string",
"name": "string",
"datasets": [
{
"id": "2de628ff-e7ef-482f-9a55-abf580d82cff",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 25,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "85ef2454-dabe-4f5c-b216-32e418e1b7e2",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 147,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
}
],
"datasetCount": 151,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/collection/patch/dataset¶
Patch collection with updated datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "dcbe0a18-5f93-46f7-bd39-529a274e5b2c",
"datasets": [
"f59a9c26-05bb-431f-aa8e-752461fb4616"
]
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
{
"id": "c5eb65b8-056a-458a-8184-d47928d64a44",
"code": "string",
"name": "string",
"datasets": [
{
"id": "2deed373-33bf-4b8f-8e64-9c99b205256e",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 232,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "373ace01-c314-434f-800e-008b0393da90",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 269,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
}
],
"datasetCount": 68,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/collection/{collectionId}/dataset/{datasetId}¶
Add dataset in collection
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The collection id to add the provided dataset | |
datasetId |
path | string | No | The dataset id to add the provided collection | |
f |
query | array | No |
Response 200 OK
{
"id": "023851e4-1695-486b-9030-141fa31c7f5a",
"code": "string",
"name": "string",
"datasets": [
{
"id": "84daa4ad-b343-4fab-8dc2-eaa4e3517a81",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 88,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "5286c2ae-c0b8-4fa0-b27c-eaaa2e8fcdf7",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 252,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
}
],
"datasetCount": 251,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
DELETE /api/collection/{collectionId}/dataset/{datasetId}¶
Remove dataset from collection
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The collection id from which to remove the provided dataset | |
datasetId |
path | string | No | The dataset id to remove from the provided collection | |
f |
query | array | No |
Response 200 OK
{
"id": "83e94434-e240-4bac-bde2-f73a3741f7b7",
"code": "string",
"name": "string",
"datasets": [
{
"id": "7c7ba2f6-6db9-40d5-bf5c-9bc90f8d0eb1",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 108,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "f56fcdd1-8b69-42d6-b762-05cd121720a2",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 38,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
}
],
"datasetCount": 82,
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"datasetCount": {
"type": "integer",
"format": "int32",
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
Conversation¶
POST /api/conversation/query¶
Query conversations
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"be273f7e-f0e3-439b-8fee-26276e58d4cb"
],
"userIds": [
"d209eaa9-ddf9-408a-b65e-0fb16af06c51"
],
"excludedIds": [
"a95187ef-5e61-4d7b-a390-6b5975aeacb1"
],
"isActive": [
27
],
"like": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"userIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items belonging to specific user ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name or email matches the pattern",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"items": [
{
"id": "3dd896b7-8952-4a17-aafb-f02c3bf06abb",
"name": "string",
"user": {
"id": "bcdfeefe-22b3-4ce3-b5d9-b4186cade334",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "aa402ef9-ac6a-4733-b942-4765911f352f",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "05becc7f-7c79-4be6-9bf6-523a52016e3c",
"dataset": {
"id": "a429e689-c2ff-41b8-8081-dd1b1f8d96e4",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 193,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "f8506762-a101-4538-a470-cbcbad5a67a2",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 72,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 191,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 92,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "ac3ce9e2-0454-4be7-bcdb-e51656198d9a",
"dataset": null,
"conversation": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": [
{
"id": "65e30982-d39c-4e7d-a418-6f981707ccb3",
"conversation": null,
"kind": 277,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 132
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Conversation"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/me/query¶
Query user owned conversations
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"5cc83a9d-d9df-4b50-9585-28b6f51dc9d8"
],
"userIds": [
"d5e48ef5-6a8c-475c-8c53-f7b6ab4bd2a7"
],
"excludedIds": [
"ae189439-36bd-49ec-96db-e5c96f577569"
],
"isActive": [
203
],
"like": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"userIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items belonging to specific user ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name or email matches the pattern",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"items": [
{
"id": "08210291-8f70-4247-b198-0c3c0e16b073",
"name": "string",
"user": {
"id": "872a47e1-2308-467c-b475-df9f8f21377f",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "a175a8d2-c7e7-45c7-9010-e8a45fbbbe02",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "a6d539b1-106e-44df-933e-67d4431a12fc",
"dataset": {
"id": "25f48a6a-ae24-4cfb-a47c-1a92afb1a322",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 71,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "42ced0b6-e8d0-41ac-89dd-2cb67888e241",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 100,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 296,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 255,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "023258f6-8627-45bc-8ebd-ada9e5341f5f",
"dataset": null,
"conversation": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": [
{
"id": "5c69b8a6-08ab-463f-b5c3-60899b160910",
"conversation": null,
"kind": 183,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 297
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Conversation"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/conversation/{id}¶
Lookup conversation by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Response 200 OK
{
"items": [
{
"id": "ba3aa7e9-da52-4b82-81a1-feebb4f57290",
"name": "string",
"user": {
"id": "50541525-8ee7-49e2-95a5-a25083ba2cc7",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "b41564cf-4ed5-45d6-92ed-9b95d938ee01",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "9a4afec4-e6b4-420a-8e30-9eb1e80a0148",
"dataset": {
"id": "84a65adc-5308-4e48-b2dd-296439d4364f",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 144,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "b82e07a9-8b15-44a9-8b39-ee9ac2196971",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 218,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 179,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 262,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "3b83b737-d9f6-41bd-b3e6-d8ad8ceb78f0",
"dataset": null,
"conversation": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": [
{
"id": "67ec60b0-633f-43b1-acf8-54725bfc3bc5",
"conversation": null,
"kind": 41,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 238
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Conversation"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
DELETE /api/conversation/{id}¶
Deletes the user conversation by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the item to delete |
Response 200 OK
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/me/persist¶
Persist user owned conversation
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "b74a487b-3647-47f3-bbc2-e9511bf0ba41",
"name": "string",
"eTag": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
{
"id": "14fb4629-54e9-45ba-9193-bcc30e7dd418",
"name": "string",
"user": {
"id": "0c8ddff7-225e-42c6-b3dd-df1d76954060",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "a2023f08-bdb0-42e3-8bb7-6b853a25ae74",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "72fda97e-98ed-4218-9c91-da3068ef18cf",
"dataset": {
"id": "d19bba12-01d4-464f-821c-dfde17820d94",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 200,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "bbe1d6e9-a63b-4eb0-839c-ed1a6dd81b7a",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 252,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 58,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 186,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "9483ab13-3c34-46dc-92b4-253000fb741a",
"dataset": null,
"conversation": {
"id": "945dc23b-b0d2-4188-b227-73015633f521",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "a0f2ee6d-a939-42e3-bd09-c36ea4caa266",
"conversation": null,
"kind": 165,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/me/persist/deep¶
Persist user owned conversation along with details provided
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "ef6c778c-ac4f-4d48-9284-8fbb01985623",
"name": "string",
"conversationDatasets": [
{
"id": "36858f85-c05d-4e7e-95a0-c318f9028be0",
"conversationId": "9fd5c0d7-a768-4551-bad0-e97ead4b543b",
"datasetId": "d8311b4e-7c86-41b9-96c6-bfbfad739ddb",
"eTag": "string"
}
],
"eTag": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"conversationDatasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDatasetPersist"
},
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
{
"id": "3a511623-68d2-419f-903a-54bfcde64b86",
"name": "string",
"user": {
"id": "51f54aa7-572b-48e7-91ff-300107b12b5a",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "912271b1-be18-476e-ba5a-0a96544339b9",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "b31514f9-30ae-4705-83a7-b1cd975ddd83",
"dataset": {
"id": "e3b015c5-4855-4bec-8d30-c6d33caee609",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 277,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "d24aa4f6-0992-4f1a-95bf-134b67660746",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 108,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 139,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 280,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "5b54805b-9cc3-4022-83fb-968ece265fdb",
"dataset": null,
"conversation": {
"id": "01536ed7-5bf5-4921-9b3e-4aaf20bf9932",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "a8865e00-75b8-4b4a-9109-3c8f6b445eaa",
"conversation": null,
"kind": 262,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/me/patch/dataset¶
Patch user owned conversation with updated datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "8fb2acff-c002-4943-bfe9-5b6324aba7ee",
"conversationDatasets": [
{
"id": "d64ea1ec-6f77-41c4-84f0-e132d41ebae5",
"conversationId": "f24cffc0-f9c4-43b9-aa98-e24ef1bb012f",
"datasetId": "5dea1948-20a3-4018-bbec-60b9ec03b76d",
"eTag": "string"
}
],
"eTag": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"conversationDatasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDatasetPersist"
},
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
{
"id": "44722ca1-50ef-49d0-87dd-606f3e55cb0e",
"name": "string",
"user": {
"id": "8bf1fcc4-5766-4c74-9c27-5ac47b358b74",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "b8c7cb68-cc92-4fe0-8ccd-3f49da56d960",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "3c16313c-5d62-4f99-a01e-187aff31fed7",
"dataset": {
"id": "4f7875bc-5d26-4ee0-ab67-a3e106f2f0c1",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 115,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "f623ec8c-4ec4-44f9-9603-48c37487be36",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 160,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 230,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 153,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "10545374-f0f2-4d4a-af13-d7abf60f56c1",
"dataset": null,
"conversation": {
"id": "b761773e-6d09-46d9-80a6-ebdef4e3eb62",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "a2bad500-9240-4d2f-af1c-87a9b1a4bbc5",
"conversation": null,
"kind": 33,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/dataset/query¶
Query conversation datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"e39abd28-f04a-4da4-883b-f9c7f4096eaf"
],
"excludedIds": [
"25940a46-b015-4a01-b87d-6e54817e0e85"
],
"conversationIds": [
"a3a5bfe9-7363-459a-9af3-cc56cf25ff42"
],
"datasetIds": [
"f9804515-1589-4061-982c-b169ece02491"
],
"isActive": [
137
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific conversation ids. If set, the list of ids must not be empty",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"items": [
{
"id": "efd7eec0-a7c3-419e-8373-49522784f9c3",
"dataset": {
"id": "89ba31c6-0c90-4994-b2e2-564c64c03d96",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 83,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "06a89544-681a-4efb-ba8f-380e3f966994",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 11,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"conversation": {
"id": "238243d7-eff4-4e40-ab02-30b8d053516e",
"name": "string",
"user": {
"id": "e3117b69-f630-4fd2-b2b6-17fd2a4b4ef0",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "f52df80c-cd62-443d-a6ac-37c02c939be4",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "a69e3d52-bc31-4c17-bd0f-0476eaf75d6f",
"dataset": null,
"isActive": 49,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 36,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": null,
"messages": [
{
"id": "c5ebb0d0-38a5-4b83-afc2-4353f57aa8eb",
"conversation": null,
"kind": 176,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 276
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/dataset/me/query¶
Query user owned conversation datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"ba14fe88-67e3-4fae-8363-c02e7c0bfe89"
],
"excludedIds": [
"ef3e0d6c-9b4b-414c-890b-908beefe155d"
],
"conversationIds": [
"110033e1-b400-42c7-80f0-5b03a2e31906"
],
"datasetIds": [
"6b834ad0-431d-45cf-b962-06bb6021af9c"
],
"isActive": [
183
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific conversation ids. If set, the list of ids must not be empty",
"nullable": true
},
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"isActive": {
"type": "array",
"items": {
"$ref": "#/components/schemas/IsActive"
},
"description": "Limit lookup to items that are active, or inactive or both. If set, the list of flags must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"items": [
{
"id": "988e4b68-3c50-4abe-80de-232c405ab42c",
"dataset": {
"id": "3ee129bb-c395-4701-b3a9-1e5b8478232b",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 114,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "5f444a10-33cb-49f2-b16d-08f623d16fa7",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 212,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"conversation": {
"id": "db6d96a3-4470-4d2c-92a2-28716669ab07",
"name": "string",
"user": {
"id": "63ddf8f9-e113-4c61-846f-171efe0efcc3",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "5d8b95d5-cbfe-4756-93d4-8a0fed1c2220",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "e6721c8a-4df7-4e60-9490-989136f5b30b",
"dataset": null,
"isActive": 131,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 231,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": null,
"messages": [
{
"id": "fc737359-80f4-4547-a13c-7731d40b4c53",
"conversation": null,
"kind": 42,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 246
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/conversation/dataset/{id}¶
Lookup conversation dataset by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Response 200 OK
{
"items": [
{
"id": "b7e06bb6-6c96-4a83-bf5f-3b36e19da6c2",
"dataset": {
"id": "df7d5d6f-1ab2-4918-b69b-c4d15422e15f",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 50,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "7e74a12f-c944-4425-ae01-c24b90db77d2",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 292,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"conversation": {
"id": "0431e400-73e9-4858-83a5-a837a763f56f",
"name": "string",
"user": {
"id": "1ef114b7-b8e4-4d7c-b589-b9b270189c90",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "f8417330-f271-42d2-9086-a5046545b124",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "db2bc049-ff00-4893-965c-8f1438bd7a35",
"dataset": null,
"isActive": 196,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 191,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": null,
"messages": [
{
"id": "e76f3602-24b2-4771-820d-655f53f251d3",
"conversation": null,
"kind": 111,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"count": 274
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/dataset/me/{conversationId}/{datasetId}¶
Add dataset in owned conversation
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
conversationId |
path | string | No | The conversation id to add the provided dataset | |
datasetId |
path | string | No | The dataset id to add the provided conversation | |
f |
query | array | No |
Response 200 OK
{
"id": "340acce0-123e-4e17-b8e3-a45f58b77e99",
"name": "string",
"user": {
"id": "048f6b39-30e5-4134-a478-bef013673282",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "fb2ca8e4-30d6-46d0-a566-d1c7ea889650",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "f8df1a9d-35d2-4f99-a6c2-df6d59104a26",
"dataset": {
"id": "d03dc205-889e-4f2e-b437-14b34d3194ba",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 172,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "56eb9bae-f8e6-4c20-bf48-e8ae464f9632",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 125,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 34,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 108,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "0dc3c3b7-4066-4343-a5bf-5d36cdb2840e",
"dataset": null,
"conversation": {
"id": "4b1982cf-f40f-4cb6-bf3e-ce9b5a534078",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "b7d6c858-5938-4152-bfae-ae5f91608b7a",
"conversation": null,
"kind": 162,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
DELETE /api/conversation/dataset/me/{conversationId}/{datasetId}¶
Remove dataset from owned conversation
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
conversationId |
path | string | No | The conversation id from which to remove the provided dataset | |
datasetId |
path | string | No | The dataset id to remove from the provided conversation | |
f |
query | array | No |
Response 200 OK
{
"id": "4843fed4-9c8b-4eb8-89a7-2c9b96f976b5",
"name": "string",
"user": {
"id": "f3569fc5-f844-4ada-bd05-7e3197734397",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "b9cf9c7c-2f05-4f34-8ca0-c7c6cf93d2e9",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "bdc0fcfd-d68e-45cf-b857-07d2ba269f01",
"dataset": {
"id": "b63c8e36-3b5f-4da4-ac9a-6bb1b9f43313",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 80,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "e0f6fc2f-3937-4306-bc66-f992d17cfa80",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 124,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 227,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 216,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "271185ea-01fc-4ff5-bea1-b9177a2940b7",
"dataset": null,
"conversation": {
"id": "3c6c3061-f231-47ad-9301-ce82f07647bc",
"name": "string",
"user": null,
"datasets": null,
"messages": [
{
"id": "cceacb71-d577-446e-9754-1e220b597ec6",
"conversation": null,
"kind": 181,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"user": {
"$ref": "#/components/schemas/User"
},
"datasets": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationDataset"
},
"nullable": true
},
"messages": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"isActive": {
"$ref": "#/components/schemas/IsActive"
},
"createdAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"updatedAt": {
"type": "string",
"format": "date-time",
"nullable": true
},
"eTag": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/message/query¶
Query conversation messages
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"c1dbf5dc-58df-49ac-abd0-bcf7eef117f3"
],
"excludedIds": [
"01548600-f0f7-410f-a4c4-f38772da663b"
],
"conversationIds": [
"57722e2a-58ab-47dd-98a8-1320bf8031c7"
],
"kinds": [
72
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific conversation ids. If set, the list of ids must not be empty",
"nullable": true
},
"kinds": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessageKind"
},
"description": "Limit lookup to items that have the specific kind. If set, the list of ids must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"items": [
{
"id": "2f428fb3-a9d5-4340-815d-5feacbf413b8",
"conversation": {
"id": "c453de48-43d5-4e83-8cf1-d2d897fd42c2",
"name": "string",
"user": {
"id": "d28276aa-a015-411f-9bc6-7aa8f300a240",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "5189633d-7618-434c-9cc3-cb63187b7561",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "9f4fa4a6-a269-4759-8ffc-63b19ae25040",
"dataset": {
"id": "a19b7bd8-d121-46e1-85df-5c135e627509",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 82,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "20600cb3-2945-4575-ba69-27a2ef75d82a",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 45,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 49,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 286,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "508c719d-a31a-415b-887c-daa494b3ac4b",
"dataset": null,
"conversation": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"kind": 66,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"count": 163
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/conversation/message/me/query¶
Query user owned conversation messages
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"96ebe0f9-f031-472a-9687-e648d65c285d"
],
"excludedIds": [
"001f9c56-c979-455f-9b3d-9e0f57935af5"
],
"conversationIds": [
"7d6b0729-b4fa-4724-8e80-0a100f436d9a"
],
"kinds": [
209
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"conversationIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items that have the specific conversation ids. If set, the list of ids must not be empty",
"nullable": true
},
"kinds": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessageKind"
},
"description": "Limit lookup to items that have the specific kind. If set, the list of ids must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"items": [
{
"id": "e6ee22ba-f950-4602-be52-a030665f10c2",
"conversation": {
"id": "3006a039-db70-470c-aa85-bc99d0124169",
"name": "string",
"user": {
"id": "41edd669-6346-4f2b-99ca-3287407aaf8c",
"name": "string",
"email": "string",
"idpSubjectId": "string",
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollections": [
{
"id": "0f545031-6e9b-4114-ad6e-143843d54376",
"name": "string",
"user": null,
"userDatasetCollections": [
{
"id": "3faed6a3-c8a6-482f-af10-d9e60aa028e2",
"dataset": {
"id": "8988ef3c-9d3b-48cd-a587-4e5f965c3c7a",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 22,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "ae6f66ef-8e8f-4cf1-81c3-e2f3158a31cd",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 35,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
},
"isActive": 69,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"userCollection": null,
"eTag": "string"
}
],
"isActive": null,
"kind": 6,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"eTag": "string"
},
"datasets": [
{
"id": "f3cc954e-82c0-4a63-95d4-620137364767",
"dataset": null,
"conversation": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
}
],
"messages": null,
"isActive": null,
"createdAt": "2022-04-13T15:42:05.901Z",
"updatedAt": "2022-04-13T15:42:05.901Z",
"eTag": "string"
},
"kind": 31,
"data": {
"kind": null,
"version": "string"
},
"createdAt": "2022-04-13T15:42:05.901Z"
}
],
"count": 179
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/ConversationMessage"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
Dataset¶
POST /api/dataset/query¶
Query datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"ids": [
"d80f2f1b-5810-4e4c-b3ac-4debc69dbba1"
],
"excludedIds": [
"4571a94a-82ac-4aa0-ab9e-16612f5fcd30"
],
"collectionIds": [
"84b6e069-d0cb-4cf9-9b5e-e55f482cfe5d"
],
"like": "string",
"license": "string",
"mimeType": "string",
"fieldsOfScience": [
"string"
],
"publishedRange": {
"start": "2022-04-13",
"end": "2022-04-13"
},
"sizeRange": {
"start": 293,
"end": 298
},
"contextRoles": [
"string"
],
"contextRoleSubjectId": "string",
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"ids": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"excludedIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Exclude from the lookup items with specific ids. If set, the list of ids must not be empty",
"nullable": true
},
"collectionIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items belonging to the specific collection ids. If set, the list of ids must not be empty",
"nullable": true
},
"like": {
"type": "string",
"description": "Limit lookup to items whose name matches the pattern",
"nullable": true
},
"license": {
"type": "string",
"description": "Limit lookup to items whose license matches the provided value",
"nullable": true
},
"mimeType": {
"type": "string",
"description": "Limit lookup to items whose mime type matches the provided value",
"nullable": true
},
"fieldsOfScience": {
"type": "array",
"items": {
"type": "string"
},
"description": "Limit lookup to items belonging to the specific fields of science. If set, the list of values must not be empty",
"nullable": true
},
"publishedRange": {
"$ref": "#/components/schemas/DateOnlyNullableRangeOf"
},
"sizeRange": {
"$ref": "#/components/schemas/Int64NullableRangeOf"
},
"contextRoles": {
"type": "array",
"items": {
"type": "string"
},
"description": "Limit lookup to items that the provided user has explicit access kind. If set, the list of values must not be empty",
"nullable": true
},
"contextRoleSubjectId": {
"type": "string",
"description": "Limit lookup to items that the provided user has explicit access kind. This should only be set in combination with ContextRoles. If left empty, the current user is used",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"items": [
{
"id": "05e6264f-422b-458e-94ef-4999f0db06bd",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 49,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "6a91f16d-46e5-4d9b-b869-77d485219e9a",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 182,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
}
],
"count": 41
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/dataset/{id}¶
Lookup dataset by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No | ||
id |
path | string | No | The id of the item to lookup |
Response 200 OK
{
"items": [
{
"id": "e9311544-eee5-4c76-b050-76a05b982b18",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 263,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "9264a2d4-b72f-4f27-af79-e31e442a8361",
"code": "string",
"name": "string",
"datasets": null,
"datasetCount": 196,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
}
],
"count": 151
}
Schema of the response body
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Dataset"
},
"nullable": true
},
"count": {
"type": "integer",
"format": "int32"
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
DELETE /api/dataset/{id}¶
Deletes the dataset by id
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the item to delete |
Response 200 OK
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/dataset/onboard¶
Onboard dataset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "9158f3b7-6b92-4bfb-a806-8d047b02e5d8",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 163,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"dataLocations": [
{
"kind": 208,
"location": "string"
}
],
"citeAs": "string",
"conformsTo": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"license": {
"type": "string",
"nullable": true
},
"mimeType": {
"type": "string",
"nullable": true
},
"size": {
"type": "integer",
"format": "int64",
"nullable": true
},
"url": {
"type": "string",
"nullable": true
},
"version": {
"type": "string",
"nullable": true
},
"headline": {
"type": "string",
"nullable": true
},
"keywords": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"fieldOfScience": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"language": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"country": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"datePublished": {
"type": "string",
"format": "date",
"nullable": true
},
"dataLocations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/DataLocation"
},
"nullable": true
},
"citeAs": {
"type": "string",
"nullable": true
},
"conformsTo": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
"618fdad8-96e7-4000-b61e-f9dfee75c996"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/dataset/future-onboard¶
Onboard dataset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "504d9410-3c9a-4f73-b579-45d5b1b9e840",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 179,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"dataLocations": [
{
"kind": 57,
"location": "string"
}
],
"citeAs": "string",
"conformsTo": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"license": {
"type": "string",
"nullable": true
},
"mimeType": {
"type": "string",
"nullable": true
},
"size": {
"type": "integer",
"format": "int64",
"nullable": true
},
"url": {
"type": "string",
"nullable": true
},
"version": {
"type": "string",
"nullable": true
},
"headline": {
"type": "string",
"nullable": true
},
"keywords": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"fieldOfScience": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"language": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"country": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"datePublished": {
"type": "string",
"format": "date",
"nullable": true
},
"dataLocations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/DataLocation"
},
"nullable": true
},
"citeAs": {
"type": "string",
"nullable": true
},
"conformsTo": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
"7b4dcfb5-fe90-47d9-bae6-dfe98fab89f1"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/dataset/profile¶
Profile dataset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"id": "588acf10-a442-441a-98bb-ca7f8f1111dc",
"dataStoreKind": 198
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"dataStoreKind": {
"$ref": "#/components/schemas/DataStoreKind"
}
},
"additionalProperties": false
}
Response 200 OK
"a4578815-e6b3-4991-8880-6a829a539c82"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/dataset/future-profile¶
Profile dataset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"id": "8c67d681-7f2e-42d2-95ac-8c79224a0b2f",
"dataStoreKind": 134
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"dataStoreKind": {
"$ref": "#/components/schemas/DataStoreKind"
}
},
"additionalProperties": false
}
Response 200 OK
"0f535b62-79f4-4d35-b5e7-b55c7b8bd545"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/dataset/persist¶
Persist dataset
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Request body
{
"id": "c954d65f-7de5-4fab-8956-360556055f77",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 292,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"dataLocations": [
{
"kind": 101,
"location": "string"
}
],
"citeAs": "string",
"conformsTo": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"license": {
"type": "string",
"nullable": true
},
"mimeType": {
"type": "string",
"nullable": true
},
"size": {
"type": "integer",
"format": "int64",
"nullable": true
},
"url": {
"type": "string",
"nullable": true
},
"version": {
"type": "string",
"nullable": true
},
"headline": {
"type": "string",
"nullable": true
},
"keywords": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"fieldOfScience": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"language": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"country": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"datePublished": {
"type": "string",
"format": "date",
"nullable": true
},
"dataLocations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/DataLocation"
},
"nullable": true
},
"citeAs": {
"type": "string",
"nullable": true
},
"conformsTo": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
{
"id": "7aef8506-b7ce-4bcf-8dfc-c83468678ac2",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 9,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": [
{
"id": "9688a16d-f78b-4794-860a-cf3d7947d14c",
"code": "string",
"name": "string",
"datasets": [
{
"id": "9e15003a-ca7a-49be-9df7-9be584faa0d1",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 24,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"archivedAt": "string",
"conformsTo": "string",
"citeAs": "string",
"profileRaw": "string",
"collections": null,
"permissions": [
"string"
]
}
],
"datasetCount": 139,
"permissions": [
"string"
]
}
],
"permissions": [
"string"
]
}
Schema of the response body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"license": {
"type": "string",
"nullable": true
},
"mimeType": {
"type": "string",
"nullable": true
},
"size": {
"type": "integer",
"format": "int64",
"nullable": true
},
"url": {
"type": "string",
"nullable": true
},
"version": {
"type": "string",
"nullable": true
},
"headline": {
"type": "string",
"nullable": true
},
"keywords": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"fieldOfScience": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"language": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"country": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"datePublished": {
"type": "string",
"format": "date",
"nullable": true
},
"archivedAt": {
"type": "string",
"nullable": true
},
"conformsTo": {
"type": "string",
"nullable": true
},
"citeAs": {
"type": "string",
"nullable": true
},
"profileRaw": {
"type": "string",
"nullable": true
},
"collections": {
"type": "array",
"items": {
"$ref": "#/components/schemas/Collection"
},
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/dataset/as/data-management/onboard¶
Persist dataset as data management service
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"id": "f64f8e60-20d5-46c4-ad34-2788f4b35120",
"code": "string",
"name": "string",
"description": "string",
"license": "string",
"mimeType": "string",
"size": 32,
"url": "string",
"version": "string",
"headline": "string",
"keywords": [
"string"
],
"fieldOfScience": [
"string"
],
"language": [
"string"
],
"country": [
"string"
],
"datePublished": "2022-04-13",
"dataLocations": [
{
"kind": 123,
"location": "string"
}
],
"citeAs": "string",
"conformsTo": "string"
}
Schema of the request body
{
"type": "object",
"properties": {
"id": {
"type": "string",
"format": "uuid",
"nullable": true
},
"code": {
"type": "string",
"nullable": true
},
"name": {
"type": "string",
"nullable": true
},
"description": {
"type": "string",
"nullable": true
},
"license": {
"type": "string",
"nullable": true
},
"mimeType": {
"type": "string",
"nullable": true
},
"size": {
"type": "integer",
"format": "int64",
"nullable": true
},
"url": {
"type": "string",
"nullable": true
},
"version": {
"type": "string",
"nullable": true
},
"headline": {
"type": "string",
"nullable": true
},
"keywords": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"fieldOfScience": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"language": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"country": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"datePublished": {
"type": "string",
"format": "date",
"nullable": true
},
"dataLocations": {
"type": "array",
"items": {
"$ref": "#/components/schemas/DataLocation"
},
"nullable": true
},
"citeAs": {
"type": "string",
"nullable": true
},
"conformsTo": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 200 OK
"57368aa0-3055-4812-93e1-bdc20cbc3815"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/dataset/as/data-management/profile/{id}¶
Persist dataset profile as data management service
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
path | string | No | The id of the dataset to update |
Request body
"string"
Schema of the request body
{
"type": "string"
}
Response 200 OK
"15cbd056-5318-4ba3-b6d8-ffb2da1a8cfb"
Schema of the response body
{
"type": "string",
"format": "uuid"
}
Response 400 Bad Request
Response 401 Unauthorized
Response 404 Not Found
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
Principal¶
GET /api/principal/me¶
Retrieve information for the logged in user
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
f |
query | array | No |
Response 200 OK
{
"isAuthenticated": true,
"principal": {
"subject": "string",
"name": "string",
"username": "string",
"givenName": "string",
"familyName": "string",
"email": "string"
},
"token": {
"client": "string",
"issuer": "string",
"tokenType": "string",
"authorizedParty": "string",
"audience": [
"string"
],
"expiresAt": "2022-04-13T15:42:05.901Z",
"issuedAt": "2022-04-13T15:42:05.901Z",
"scope": [
"string"
]
},
"roles": [
"string"
],
"permissions": [
"string"
],
"deferredPermissions": [
"string"
],
"more": {}
}
Schema of the response body
{
"type": "object",
"properties": {
"isAuthenticated": {
"type": "boolean",
"nullable": true
},
"principal": {
"$ref": "#/components/schemas/PrincipalInfo"
},
"token": {
"$ref": "#/components/schemas/TokenInfo"
},
"roles": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"permissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"deferredPermissions": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"more": {
"type": "object",
"additionalProperties": {
"type": "array",
"items": {
"type": "string"
},
"nullable": true
},
"nullable": true
}
},
"additionalProperties": false
}
Response 401 Unauthorized
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/principal/context-grants/query¶
Query context grants
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Request body
{
"datasetIds": [
"9ff03d08-0405-4687-81ac-40756118ff42"
],
"collectionIds": [
"5242e471-b43b-470a-8c4e-9a0c76701c86"
],
"roles": [
"string"
],
"subjectId": "string",
"targetKinds": [
274
],
"page": {
"offset": 0,
"size": 10
},
"order": {
"items": [
"+name",
"-id"
]
},
"metadata": {
"countAll": true
},
"project": {
"fields": [
"id",
"name",
"foo.id",
"foo.bar.id"
]
}
}
Schema of the request body
{
"type": "object",
"properties": {
"datasetIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items target specific dataset ids. If set, the list of ids must not be empty",
"nullable": true
},
"collectionIds": {
"type": "array",
"items": {
"type": "string",
"format": "uuid"
},
"description": "Limit lookup to items target specific collection ids. If set, the list of ids must not be empty",
"nullable": true
},
"roles": {
"type": "array",
"items": {
"type": "string"
},
"description": "Limit lookup to items granting specific roles. If set, the list of roles must not be empty",
"nullable": true
},
"subjectId": {
"type": "string",
"description": "Limit lookup to items granting access to specific subject. If empty, use current user",
"nullable": true
},
"targetKinds": {
"type": "array",
"items": {
"$ref": "#/components/schemas/TargetKind"
},
"description": "Limit lookup to items of specific kind. If set, the list of roles must not be empty",
"nullable": true
},
"page": {
"$ref": "#/components/schemas/Paging"
},
"order": {
"$ref": "#/components/schemas/Ordering"
},
"metadata": {
"$ref": "#/components/schemas/Header"
},
"project": {
"$ref": "#/components/schemas/FieldSet"
}
},
"additionalProperties": false
}
Response 200 OK
{
"principalId": "string",
"principalType": 55,
"targetType": 42,
"targetId": "5fdf2be3-aa1c-43ee-9a87-6a1a57f23961",
"role": "string"
}
Schema of the response body
{
"type": "object",
"properties": {
"principalId": {
"type": "string",
"nullable": true
},
"principalType": {
"$ref": "#/components/schemas/PrincipalKind"
},
"targetType": {
"$ref": "#/components/schemas/TargetKind"
},
"targetId": {
"type": "string",
"format": "uuid"
},
"role": {
"type": "string",
"nullable": true
}
},
"additionalProperties": false
}
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/me/context-grants¶
Retrieve the assigned context grants for the logged in user
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No |
Response 200 OK
[
{
"principalId": "string",
"principalType": 52,
"targetType": 159,
"targetId": "b0295eec-0fd3-4eae-b781-4b87c75c0cdf",
"role": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/ContextGrant"
}
}
Response 401 Unauthorized
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/me/context-grants/collection¶
Retrieve the assigned context grants for the logged in user relevant to the provided collections
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
query | array | No | The collection id to retrieve context grants for |
Response 200 OK
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
Response 401 Unauthorized
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/me/context-grants/dataset¶
Retrieve the assigned context grants for the logged in user relevant to the provided datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
query | array | No | The dataset id to retrieve context grants for |
Response 200 OK
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
Response 401 Unauthorized
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/user/{subjectId}/context-grants¶
Retrieve the assigned context grants for the provided user
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
subjectId |
path | string | No | The subject id of the user to retrieve context grants for |
Response 200 OK
[
{
"principalId": "string",
"principalType": 71,
"targetType": 216,
"targetId": "b4f52ff0-69f9-4641-81a3-c191810aeb50",
"role": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/ContextGrant"
}
}
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/group/{groupId}/context-grants¶
Retrieve the assigned context grants for the provided group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
groupId |
path | string | No | The group id of the user to retrieve context grants for |
Response 200 OK
[
{
"principalId": "string",
"principalType": 126,
"targetType": 111,
"targetId": "142ed09f-148e-4a78-99a4-0a38651c3a84",
"role": "string"
}
]
Schema of the response body
{
"type": "array",
"items": {
"$ref": "#/components/schemas/ContextGrant"
}
}
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/user/{subjectId}/context-grants/collection¶
Retrieve the assigned context grants for the provided user relevant to the provided collections
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
query | array | No | The collection id to retrieve context grants for | |
subjectId |
path | string | No | The subject id of the user to retrieve context grants for |
Response 200 OK
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/group/{groupId}/context-grants/collection¶
Retrieve the assigned context grants for the provided user group relevant to the provided collections
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
groupId |
path | string | No | The group id of the group to retrieve context grants for | |
id |
query | array | No | The collection id to retrieve context grants for |
Response 200 OK
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/user/{subjectId}/context-grants/dataset¶
Retrieve the assigned context grants for the provided user relevant to the provided datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
id |
query | array | No | The dataset id to retrieve context grants for | |
subjectId |
path | string | No | The subject id of the user to retrieve context grants for |
Response 200 OK
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
GET /api/principal/group/{groupId}/context-grants/dataset¶
Retrieve the assigned context grants for the provided user group relevant to the provided datasets
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
groupId |
path | string | No | The group id of the user group to retrieve context grants for | |
id |
query | array | No | The dataset id to retrieve context grants for |
Response 200 OK
Schema of the response body
{
"type": "object",
"additionalProperties": {
"uniqueItems": true,
"type": "array",
"items": {
"type": "string"
}
}
}
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/principal/context-grants/user/{userId}/dataset/{datasetId}/role/{role}¶
Add user to dataset context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The context grant dataset to add | |
role |
path | string | No | The context grant role to add | |
userId |
path | string | No | The user id to add to the provided context grant group |
Response 200 OK
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
DELETE /api/principal/context-grants/user/{userId}/dataset/{datasetId}/role/{role}¶
Remove user from dataset context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The context grant dataset to remove | |
role |
path | string | No | The context grant role to add | |
userId |
path | string | No | The user id to remove from the provided context grant group |
Response 200 OK
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/principal/context-grants/group/{groupId}/dataset/{datasetId}/role/{role}¶
Add user group to dataset context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The context grant dataset to add | |
groupId |
path | string | No | The user group id to add to the provided context grant group | |
role |
path | string | No | The context grant role to add |
Response 200 OK
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
DELETE /api/principal/context-grants/group/{groupId}/dataset/{datasetId}/role/{role}¶
Remove user group from dataset context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
datasetId |
path | string | No | The context grant dataset to remove | |
groupId |
path | string | No | The user group id to remove from the provided context grant group | |
role |
path | string | No | The context grant role to add |
Response 200 OK
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
POST /api/principal/context-grants/user/{userId}/collection/{collectionId}/role/{role}¶
Add user to collection context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The context grant collection to add | |
role |
path | string | No | The context grant role to add | |
userId |
path | string | No | The user id to add to the provided context grant group |
Response 200 OK
Response 400 Bad Request
Response 401 Unauthorized
Response 403 Forbidden
Response 500 Internal Server Error
Response 503 Service Unavailable
DELETE /api/principal/context-grants/user/{userId}/collection/{collectionId}/role/{role}¶
Remove user from collection context grant group
Input parameters
| Parameter | In | Type | Default | Nullable | Description |
|---|---|---|---|---|---|
oauth2 |
header | string | N/A | No | |
collectionId |
path | string | No | The context grant collection to remove | |
role |
path | string | No | The context grant role to add | |
userId |
path | string | No | The user id to remove from the provided context grant group |
Response 200 OK
Response 400 Bad Request
[...]
